
QGIS Application - Bug report #18733

Legend not matching map with "lock style for layers" option

2018-04-17 01:26 AM - Antoine Lafranchis

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:3.1(master) Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26620

Description

Steps to reproduce

1: Create a project with some polygons and a make a new layout.

2: In the layout editor, add a map and a legend.

3: Activate the "Lock layers" and "Lock style for layers" options on the map. Disable auto-update on the legend.

4: Close the layout editor.

5: Change the colors of some objects.

6: Save the project and exit QGis.

7: Reopen QGIS, load the project and open its layout.

8: The map kept the styles locked but the legend updated with the new styles.

I use QGis 3.0.1 and the issue was there in version 2.18.

Related question: Is it possible to copy the styles from a layout and paste them to an object on the map? If not should I would like to ask it

as a feature request.

Related issues:

Duplicates QGIS Application - Bug report # 16795: [Composer Legend] Symbology... Open 2017-07-05

History

#1 - 2019-03-11 12:25 AM - Antoine Lafranchis

- Status changed from Open to Closed

It's a duplicate of #16795

#2 - 2019-03-19 09:56 AM - Jürgen Fischer

- Duplicates Bug report #16795: [Composer Legend] Symbology of layer always follows the map canvas and breaks the composer legend added
